// Copyright 2026 The Gitea Authors. All rights reserved.
// SPDX-License-Identifier: MIT

package v1_26

import (
	"xorm.io/xorm"
)

// AddRunnerCapabilitiesColumn adds CapabilitiesJSON column to action_runner table
func AddRunnerCapabilitiesColumn(x *xorm.Engine) error {
	type ActionRunner struct {
		CapabilitiesJSON string `xorm:"TEXT"`
	}

	return x.Sync(new(ActionRunner))
}
